import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.lang.*;

/**
 * Write a description of class GameMenu here.
 * 
 * @author (Royal N. Walker) 
 * @version (1.1.1)
 */
public class GameMenu extends Actor
{

    public void act()
    {
        fightingGame();
        monsterGame();
        pinballGame();
        puzzleGame();
    }

    private void fightingGame() 
    {
     Actor fight = new Fight();
     Actor psts = new PressSpaceToStart();
     Actor psta = new PressSpaceToAttack();
     if(Greenfoot.isKeyDown("a"))
        getWorld().addObject(fight,25,29);
     if(Greenfoot.isKeyDown("a"))
        getWorld().addObject(psts,20,20);
     if(Greenfoot.isKeyDown("a"))
        getWorld().addObject(psta,21,18);
     if(Greenfoot.isKeyDown("a"))
        getWorld().removeObject(this);    
    }    
    
    private void monsterGame()
    {
     Actor mm = new MonsterMatch();
     Actor dad = new DragAndDrop();
     Actor s = new Start();
     if(Greenfoot.isKeyDown("b"))
        getWorld().addObject(mm,24,29);
     if(Greenfoot.isKeyDown("b"))
        getWorld().addObject(dad,15,10);
     if(Greenfoot.isKeyDown("b"))
        getWorld().addObject(s,23,5);
     if(Greenfoot.isKeyDown("b"))
        getWorld().removeObject(this);
    }
    
    private void pinballGame()
    {
     Actor pinball = new Pinball();
     Actor pi = new PetalInstructions();
     Actor psts = new PressSpaceToStart();
     Actor lb = new LeftBumper();
     Actor rb = new RightBumper();
     Actor cd = new ClosedDoors();
     Actor b = new Bumper();
     Actor p1 = new Pin();
     Actor p2 = new Pin();
     Actor p3 = new Pin();
     Actor five1 = new FivePoints();
     Actor five2 = new FivePoints();
     Actor five3 = new FivePoints();
     Actor ten1 = new TenPoints();
     Actor ten2 = new TenPoints();
     Actor lp = new LeftPetal();
     Actor rp = new RightPetal();
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(pinball,25,29);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(pi,10,10);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(psts,24,32);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(lb,8,44); 
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(rb,39,44);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(cd,25,3);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(b,8,18);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(p1,7,8);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(p2,41,8);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(p3,25,38);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(five1,5,30);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(five2,11,30);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(five3,17,30);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(ten1,8,30);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(ten2,14,30);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(lp,17,56);
     if(Greenfoot.isKeyDown("c"))
        getWorld().addObject(rp,29,56);
     if(Greenfoot.isKeyDown("c"))
        getWorld().removeObject(this);
    }
    
    private void puzzleGame()
    {
     Actor bg = new Puzzle();
     Actor pzi = new PuzzleInstructions();
     if(Greenfoot.isKeyDown("d"))
        getWorld().addObject(bg,25,29);
     if(Greenfoot.isKeyDown("d"))
        getWorld().addObject(pzi,21,30);
     if(Greenfoot.isKeyDown("d"))
        getWorld().removeObject(this);
    }
}
