import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.lang.*;
/**
 * Write a description of class Unicorn here.
 * 
 * @author (Royal N. Walker) 
 * @version (1.1.1)
 */
public class Unicorn extends Actor
{

    public Unicorn() 
    {
     faceLeftImageUnicorn = new GreenfootImage("Unice2.GIF");
     faceRightImageUnicorn = new GreenfootImage("Unice.gif");
    }
    
    private GreenfootImage faceLeftImageUnicorn;
    private GreenfootImage faceRightImageUnicorn;
    
    public void act()
    {
     move();
     if(Greenfoot.isKeyDown("left"))
        setImage(faceLeftImageUnicorn);
     if(Greenfoot.isKeyDown("right"))
        setImage(faceRightImageUnicorn);
     enterDoorWays();
    }
    
    public void move()
    {
     if(Greenfoot.isKeyDown("right"))
        setLocation(getX()+1,getY());
     if(Greenfoot.isKeyDown("left"))
        setLocation(getX()-1,getY());
    } 
    
    private void enterDoorWays()
    {
     Actor about = new About();
     if(Greenfoot.isKeyDown("a"))
        getWorld().addObject(about,25,29);
     Actor gm = new GameMenu();
     if(Greenfoot.isKeyDown("m"))
        getWorld().addObject(gm,25,29);
     if(Greenfoot.isKeyDown("m"))
        getWorld().removeObject(this);
    }
    
    public void setLocation(int x, int y)
    {
     super.setLocation(x,50);
    }
    
}
