import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.lang.*;
/**
 * Write a description of class Unicorn here.
 * 
 * @author (Royal N. Walker) 
 * @version (1.1.1)
 */
public class Unicorn2 extends Actor
{

    public Unicorn2() 
    {
     faceLeftImageUnicorn2 = new GreenfootImage("Unice2.GIF");
     faceRightImageUnicorn2 = new GreenfootImage("Unice.gif");
    }
    
    private GreenfootImage faceLeftImageUnicorn2;
    private GreenfootImage faceRightImageUnicorn2;
    
    public void act()
    {
     move();
     if(Greenfoot.isKeyDown("left"))
        setImage(faceLeftImageUnicorn2);
     if(Greenfoot.isKeyDown("right"))
        setImage(faceRightImageUnicorn2);
     dashLeft();
     dashRight();
     removeHuman();
    }
    
    public void move()
    {
     if(Greenfoot.isKeyDown("right"))
        setLocation(getX()+1,getY());
     if(Greenfoot.isKeyDown("left"))
        setLocation(getX()-1,getY());
    }
    
    private void dashRight()
    {
     if(Greenfoot.isKeyDown("space"))
        if(Greenfoot.isKeyDown("right"))
            setLocation(getX()+2,getY());
    }
    
    private void dashLeft()
    {
     if(Greenfoot.isKeyDown("space"))
        if(Greenfoot.isKeyDown("left"))
            setLocation(getX()-2,getY());
    }
    
    public void removeHuman()
    {
     Actor human = getOneObjectAtOffset(0,0,Human.class);
     if(human != null)
        getWorld().removeObject(human);
    }
             
    public void setLocation(int x, int y)
    {
     super.setLocation(x,50);
    }
}
