import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage
import java.util.*;

/**
 * A world where a Unicorn lives.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class WombatWorld extends World
{
 
    public WombatWorld() 
    {
     super(48, 59, 10);
     setBackground("DemoCastle.bmp");
     Actor u = new Unicorn();
     addObject(u,20,50);
    }
   
    public void change()
    {
     changeToMiniGameMenu();
    }
    
    private void changeToMiniGameMenu()
    {
     Actor Unicorn = new Unicorn();
     if(Greenfoot.isKeyDown("m"))
        removeObject(Unicorn);
     Actor gm = new GameMenu();
     if(Greenfoot.isKeyDown("m"))
        addObject(gm,25,29);
    }
}
